Name:           terminology
Version:        1.13.0
Release:    1%{?dist}
License:        BSD
Summary:        EFL based terminal emulator
Url:            http://www.enlightenment.org
Source0:        https://download.enlightenment.org/rel/apps/%{name}/%{name}-%{version}.tar.xz
BuildRequires:  desktop-file-utils
BuildRequires:  efl-devel >= 1.26
BuildRequires:  gettext-devel autoconf automake libtool
BuildRequires:  meson
BuildRequires:  ninja-build
Requires:       terminus-fonts
Requires:       xorg-x11-fonts-misc


%description
Fast and lightweight terminal emulator using EFL libraries.

%prep
%setup -q

%build
%meson
%meson_build

%install
%meson_install

rm -rf %{buildroot}%{_datadir}/terminology/fonts/10x20.pcf
rm -rf %{buildroot}%{_datadir}/terminology/fonts/4x6.pcf
rm -rf %{buildroot}%{_datadir}/terminology/fonts/5x7.pcf
rm -rf %{buildroot}%{_datadir}/terminology/fonts/5x8.pcf
rm -rf %{buildroot}%{_datadir}/terminology/fonts/6x10.pcf
rm -rf %{buildroot}%{_datadir}/terminology/fonts/6x12.pcf
rm -rf %{buildroot}%{_datadir}/terminology/fonts/6x13.pcf
rm -rf %{buildroot}%{_datadir}/terminology/fonts/6x9.pcf
rm -rf %{buildroot}%{_datadir}/terminology/fonts/7x13.pcf
rm -rf %{buildroot}%{_datadir}/terminology/fonts/7x14.pcf
rm -rf %{buildroot}%{_datadir}/terminology/fonts/8x13.pcf
rm -rf %{buildroot}%{_datadir}/terminology/fonts/9x15.pcf
rm -rf %{buildroot}%{_datadir}/terminology/fonts/9x18.pcf
rm -rf %{buildroot}%{_datadir}/terminology/fonts/terminus-*

desktop-file-validate %{buildroot}/%{_datadir}/applications/terminology.desktop

%find_lang %{name}

%files -f %{name}.lang
%doc README.md COPYING
%{_mandir}/man1/*
%{_bindir}/tyalpha
%{_bindir}/tybg
%{_bindir}/tycat
%{_bindir}/tyls
%{_bindir}/typop
%{_bindir}/tyq
%{_bindir}/tysend
%{_bindir}/terminology
%{_datadir}/applications/terminology.desktop
%{_datadir}/icons/hicolor/128x128/apps/terminology.png
%{_datadir}/terminology


%changelog
* Tue Jul 02 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.13.0-1
- initial build
